www.cendio.com
Bug 4513 - Use OpenBox window manager during session startup
: Use OpenBox window manager during session startup
Status: CLOSED FIXED
: ThinLinc
Misc
: trunk
: PC Unknown
: P2 Normal
: 4.1.0
Assigned To:
:
:
: 4465
:
  Show dependency treegraph
 
Reported: 2013-01-09 16:43 by
Modified: 2013-06-04 16:21 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-01-09 16:43:19
Currently, we try to launch metacity or sawfish in tl-run-xstartup.d, so that
we have some WM during the session startup feedback and profile selection.
However, these WMs might not be installed on the system. Another problem is
that starting, say, metacity typically means that a lot of things happens,
including GConf startup. 

Due to bug 4465, we will start shipping the OpenBox WM. This means we can use
that one instead.
------- Comment #1 From cendio 2013-01-16 09:33:13 -------
Fixed in r26380. Time reporting on bug 4465.
------- Comment #2 From cendio 2013-04-30 11:18:49 -------
Should probably disable minimise during startup.
------- Comment #3 From cendio 2013-04-30 14:25:23 -------
(In reply to comment #2)
> Should probably disable minimise during startup.

Fixed in 27279.
------- Comment #4 From cendio 2013-05-02 10:00:12 -------
Out shipped openbox uses g_realloc_n() api which requires glib 2.24,
SLED 11 sp2 with latest updates does only ship glib 2.22.

From xinit.log of a thinlinc session:

/opt/thinlinc/libexec/openbox: symbol lookup error:
/opt/thinlinc/libexec/openbox: undefined symbol: g_realloc_n
/opt/thinlinc/etc/xsession: Timeout waiting for window manager to start
------- Comment #5 From cendio 2013-05-02 14:10:49 -------
Re-fixed in 27292.
------- Comment #6 From cendio 2013-05-28 13:04:27 -------
Retested with build 3960 on SLED and openbox fails to start, here follows the
logs which appears in xinit.log and its reproducable jsut starting openbox from
term.


(openbox:15268): Pango-WARNING **:
/usr/lib/pango/1.6.0/modules/pango-basic-fc.so: fel ELF-klass: ELFCLASS32

(openbox:15268): Pango-WARNING **: Failed to load Pango module
'/usr/lib/pango/1.6.0/modules/pango-basic-fc.so' for id 'BasicScriptEngineFc'

(openbox:15268): Pango-WARNING **:
/usr/lib/pango/1.6.0/modules/pango-basic-fc.so: fel ELF-klass: ELFCLASS32

(openbox:15268): Pango-WARNING **:
/usr/lib/pango/1.6.0/modules/pango-basic-fc.so: fel ELF-klass: ELFCLASS32

(openbox:15268): Pango-WARNING **:
/usr/lib/pango/1.6.0/modules/pango-basic-fc.so: fel ELF-klass: ELFCLASS32

(openbox:15268): Pango-WARNING **:
/usr/lib/pango/1.6.0/modules/pango-basic-fc.so: fel ELF-klass: ELFCLASS32

(openbox:15268): Pango-WARNING **:
/usr/lib/pango/1.6.0/modules/pango-basic-fc.so: fel ELF-klass: ELFCLASS32

.
.
.

(openbox:15268): Pango-WARNING **:
/usr/lib/pango/1.6.0/modules/pango-basic-fc.so: fel ELF-klass: ELFCLASS32
ObRender-Message: Unable to load the theme 'Syscrash'
ObRender-Message: Falling back to the default theme 'Clearlooks'
ObRender-Message: Unable to load the theme 'Clearlooks'
Openbox-Message: Unable to load a theme.
------- Comment #7 From cendio 2013-05-28 14:38:03 -------
> (openbox:15268): Pango-WARNING **:
> /usr/lib/pango/1.6.0/modules/pango-basic-fc.so: fel ELF-klass: ELFCLASS32
> ObRender-Message: Unable to load the theme 'Syscrash'
> ObRender-Message: Falling back to the default theme 'Clearlooks'
> ObRender-Message: Unable to load the theme 'Clearlooks'
> Openbox-Message: Unable to load a theme.

Fixed in 27454.
------- Comment #8 From cendio 2013-05-28 14:48:08 -------
> (openbox:15268): Pango-WARNING **:
> /usr/lib/pango/1.6.0/modules/pango-basic-fc.so: fel ELF-klass: ELFCLASS32
...

Note that this is only a warning and seems not to cause any problem, at least
not on SLED. 


We are building Pango with:

    --with-included-modules=yes --with-dynamic-modules=no \
    --enable-static --enable-shared

...but Pango still reads /etc/pango/pango.modules and modules referenced there.
I cannot see how --with-dynamic-modules=no affects anything. Perhaps we need to
disable reading stuff from /etc altogether.
------- Comment #9 From cendio 2013-05-29 13:23:28 -------
(In reply to comment #8)
> > (openbox:15268): Pango-WARNING **:
> > /usr/lib/pango/1.6.0/modules/pango-basic-fc.so: fel ELF-klass: ELFCLASS32
> ...
> 
> Note that this is only a warning and seems not to cause any problem, at least
> not on SLED. 
> 
> 
> We are building Pango with:
> 
>     --with-included-modules=yes --with-dynamic-modules=no \
>     --enable-static --enable-shared
> 
> ...but Pango still reads /etc/pango/pango.modules and modules referenced there.
> I cannot see how --with-dynamic-modules=no affects anything. Perhaps we need to
> disable reading stuff from /etc altogether.

Fixed in cenbuild r27460 and r27462.
------- Comment #10 From cendio 2013-05-30 09:54:10 -------
(In reply to comment #9)
> (In reply to comment #8)
> > > (openbox:15268): Pango-WARNING **:
> > > /usr/lib/pango/1.6.0/modules/pango-basic-fc.so: fel ELF-klass: ELFCLASS32
> > ...
> > 
> > Note that this is only a warning and seems not to cause any problem, at least
> > not on SLED. 
> > 
> > 
> > We are building Pango with:
> > 
> >     --with-included-modules=yes --with-dynamic-modules=no \
> >     --enable-static --enable-shared
> > 
> > ...but Pango still reads /etc/pango/pango.modules and modules referenced there.
> > I cannot see how --with-dynamic-modules=no affects anything. Perhaps we need to
> > disable reading stuff from /etc altogether.
> 
> Fixed in cenbuild r27460 and r27462.

Verified using build 3966 on SLED11 sp2. openbox does now work as expected.
------- Comment #11 From cendio 2013-05-30 09:55:32 -------
(In reply to comment #7)
> > (openbox:15268): Pango-WARNING **:
> > /usr/lib/pango/1.6.0/modules/pango-basic-fc.so: fel ELF-klass: ELFCLASS32
> > ObRender-Message: Unable to load the theme 'Syscrash'
> > ObRender-Message: Falling back to the default theme 'Clearlooks'
> > ObRender-Message: Unable to load the theme 'Clearlooks'
> > Openbox-Message: Unable to load a theme.
> 
> Fixed in 27454.

Verified using build 3966 on SLED11 Sp2
------- Comment #12 From cendio 2013-05-30 09:57:16 -------
I have tested openbox vm on both Ubuntu 12.04 and SLED11 Sp2 which works as
expected now.
------- Comment #13 From cendio 2013-05-31 16:24:37 -------
If you use the scroll wheel on the background, it will toggle between virtual
desktops. A bit too easy to shoot yourself in the foot here. We should disable
virtual desktops.
------- Comment #14 From cendio 2013-06-03 11:34:52 -------
(In reply to comment #13)
> If you use the scroll wheel on the background, it will toggle between virtual
> desktops. A bit too easy to shoot yourself in the foot here. We should disable
> virtual desktops.

27482.
------- Comment #15 From cendio 2013-06-04 16:20:53 -------
(In reply to comment #14)
> (In reply to comment #13)
> > If you use the scroll wheel on the background, it will toggle between virtual
> > desktops. A bit too easy to shoot yourself in the foot here. We should disable
> > virtual desktops.
> 
> 27482.

Tested using build 3971, works as expected.